Firefox - Forçar a compatibilidade dos add-ons

Dezembro 2016



Você está usando uma versão do Firefox incompatível com um dos seus add-ons (também chamado de plug-in, módulo adicional ou extensão), decorrente, em particular, do uso de uma versão, alfa ou nightly do Firefox.

/!\ Aviso /!\


O autor destas linhas não teve qualquer problema com a utilização dessa dica. No entanto, como medida de precaução, e porque, de qualquer maneira, isso te ajudará um dia, você deveria fazer um backup do seu perfil com o excelente MozBackup ou manualmente.

Desativar a verificação de compatibilidade


Se as diferenças entre a versão do Firefox, para a qual o add-on foi criado e sua versão do Firefox, que não diz respeito ao campo de ação do módulo adicional, pode ser possível fazê-lo funcionar, assim mesmo.

Para fazê-lo, desative a verificação de compatibilidade dos módulos adicionais:
  • Na barra de endereços, digite: about:config > Validar. Uma lista aparecerá:
  • Clique com o botão direito do mouse > Nova > valor booleano
  • Entrar o nome da opção: extensions.checkCompatibility
  • Escolher o valor ("true", verdadeiro ou "false", falso), no nosso caso: false
  • Reinicializar o Firefox.

É possível reativar essa verificação, escolhendo o valor true.

Firefox não funciona corretamente depois dessa operação


Depois dessa alteração, um ou vários add-ons travam o navegador.

Reinicializar o Firefox em modo de segurança:
Se, por acaso, o seu perfil foi alterado, restaure-o através do MozBackup ou, manualmente.
Você pode tentar descobrir qual o módulo que está causando problema, desativando todos e, reativando, um por um, até que o Firefox trave novamente. Desative o módulo que está causando problema.

Solução de compatibilidade para a versão % (e mais) de Firefox


Desde a versão 4 de Firefox, as extensões não são todas atualizadas e assim incompatíveis. Isto dito, a maioria funciona muito bem (exemplo: barra de ferramentas Google). para fazer isto, basta simplesmenre instalar Addon Compaibility reporter.
/!\ De qulquer forma, alguas extensões podem não funcionar corretamente, e até mesmo não funcionar completamente e/ou eventualmente, causar conflitos com as outras extensões instaladas! /!\




Tradução feita por Lucia Maurity y Nouira

Veja também :
Este documento, intitulado « Firefox - Forçar a compatibilidade dos add-ons »a partir de CCM (br.ccm.net) está disponibilizado sob a licença Creative Commons. Você pode copiar, modificar cópias desta página, nas condições estipuladas pela licença, como esta nota aparece claramente.